| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csScreenBoxResult Struct Reference
[Mesh support]

Return structure for iMeshWrapper->GetScreenBoundingBox(). More...

`#include <iengine/mesh.h>`

List of all members.

## Public Attributes
csBox3 | cbox
| 3D box in camera space.
float | distance
| -1 if object behind the camera or else the distance between the camera and the furthest point of the 3D box.
csBox2 | sbox
| 2D box in screen space.

## Detailed Description

Return structure for iMeshWrapper->GetScreenBoundingBox().

Definition at line 209 of file mesh.h.

## Member Data Documentation

csBox3 csScreenBoxResult::cbox

3D box in camera space.

Definition at line 214 of file mesh.h.

float csScreenBoxResult::distance

-1 if object behind the camera or else the distance between the camera and the furthest point of the 3D box.

Definition at line 219 of file mesh.h.

csBox2 csScreenBoxResult::sbox

2D box in screen space.

Definition at line 212 of file mesh.h.

The documentation for this struct was generated from the following file:

- iengine/mesh.h